<template>
  <div class="navbar p-1 p-md-5 w-100">
    <router-link  to="/"
                  class="home-link p-2 d-flex align-items-center">
      <img  alt="What's'next logo"
            src="@/assets/brainsteam-flat.svg"
            class="navbar-logo" />
    </router-link>

    <login-button class="bg-brain" withSignOut="true" />
  </div>
</template>

<script>
import LoginButton from '@/components/auth/LoginButton'

export default {
  name: 'navbar',
  components: { LoginButton }
}
</script>

<style scoped lang="scss">

.navbar-logo {
  height: 50px;
}

.brand-text {
  font-weight: bold;
}

.brand-text, .profile-link {
  color: var(--dark);
}

.home-link:hover > .brand-text, .profile-link:hover > .profile-text {
  color: var(--brain_main);
}

// .home-link:hover > .navbar-logo, .profile-link:hover > .user-avatar {
//   opacity: .75;
// }
</style>
